ru.inpas.communication

## Enum ICommunication.DeviceType

- java.lang.Object
- - java.lang.Enum<ICommunication.DeviceType>
  - - ru.inpas.communication.ICommunication.DeviceType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ICommunication.DeviceType>

Enclosing interface:
  ICommunication

    public static enum ICommunication.DeviceType
    extends java.lang.Enum<ICommunication.DeviceType>

Тип соединения с устройством

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BLUETOOTH` устройство подключено по bluetooth
`NONETYPE` устройство не подключено
`TCPIPTYPE` устройство подключено по Wi-Fi
`USBTYPE` устройство подключено по USB

### Method Summary

All Methods Static Methods Concrete Methods
`static ICommunication.DeviceType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ICommunication.DeviceType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONETYPE

    public static final ICommunication.DeviceType NONETYPE

устройство не подключено

#### USBTYPE

    public static final ICommunication.DeviceType USBTYPE

устройство подключено по USB

#### TCPIPTYPE

    public static final ICommunication.DeviceType TCPIPTYPE

устройство подключено по Wi-Fi

#### BLUETOOTH

    public static final ICommunication.DeviceType BLUETOOTH

устройство подключено по bluetooth

### Method Detail

#### values

    public static ICommunication.DeviceType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ICommunication.DeviceType c : ICommunication.DeviceType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ICommunication.DeviceType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null